# service
server:
  port: 9001
  servlet:
    context-path: /dev  # 全局接口前缀

# condition
spel:
  scheduling: false       # 定时任务是否执行
  multiSource: true       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 主库
    primary:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 从库
    slave:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava_slave?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  # JPA
  jpa:
    hibernate:
      ddl-auto: none    # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# swagger3
swagger:
  enable: true

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 1963716187
  appKey: dinggv1wq87khdiley47
  appSecret: LK5j7BXJSf0niT16SM3qUX9x0KrfB37BlE07nWJchM35GnrpFkafi_nCRDAnbjLW
  corpId: ding321c72787fffc78b35c2f4657eb6378f
  aesKey:
  token:
  operator: "095358016629044412"            # OA管理员账号 [首字符若为0需要转一下字符串]

# teambition
teambition:
  AppID: 63589b8bb6803e162f9a57d8
  AppSecret: 5mB3b73OFhSwo38xEVqahCLwQVhG1MW3
  TenantId: 5ca44db8ca4fd40001b10559        # 管理后台 - 企业xx - 企业ID
  OperatorId: 5e698cca21f5ad70dfba7d2b      # 公共账号, 需要有操作权限

# aliwork
aliwork:
  appType: APP_GTK6SIE4MNVEEVPJLM7Z
  systemToken: IA766O61FNR42YWEEEKTB5QAEEP827UYE3M9LK11

# h3yun
h3yun:
  engineCode: vqvl30y6teuqgfydfolo4gqo2
  secret: mV17Rp3hqzwiSX9woQBqQyFLJVKuUSDaJclzr7VTlBJbhLZ1XUxTgA==

# ekuaibao
ekuaibao:
  corpId: -yQbjbywbc640011                # 易快报 corpId
  platformApi: https://app.ekuaibao.com   # 易快报不同平台获取前缀的方式不同
  appKey:
  appSecurity:

# fxiaoke
fxiaoke:
  appId: FSAID_131becb
  appSecret: 1f516179d4e84ecba24752b0c4af5d02
  permanentCode: 317DA531616A1569F906D1F9A1C74D15
  corpId: FSCID_2DA12EC0A1DC7EF6FD68E5AA33F25D8A  # 纷享销客 corpId

# tencent [腾讯云]
tencent:
  APPID: 1309939821
  SecretId: AKID2uqoryukbO2XuBThuxzdEpnmnmoocuCH
  SecretKey: wnmgYHo8wrmjlldKoHnIkDZlqvrVDpOz
  Region: ap-shanghai

# diwork
diwork:
  appKey: 09242de7dc2c44c0b2dbca1b389aa566
  appSecret: cf2b924ccb2b47f39bc9841a39ef4784

# u8open
u8open:
  appKey: opa75c6cbdd6375068f
  appSecret: f2e79a74aa284b5e83be6f1cac84e4b6
  toAccount: sangnuo8
  fromAccount: zhixian666

# feishu
feishu:
  appKey: cli_a2b72fadcafe100e
  appSecret: SUy4raAtpO3dgOasOfO43GU6YfaMnQ3Q
  encryptKey: DVeCYMQgcg5T8BpKnOIUkdsU8Rex1Ndx
  verToken: agS2kgO39Y59JSQUduNOahd64woiKvxf